For the complete documentation index, see llms.txt. This page is also available as Markdown.

Start WarehouseStockDetails report

Start report generation of WarehouseStockDetails

Required permissions: REPORT_ADMIN

post
/tenants/{tenantUid}/organizations/{organizationUid}/reports/warehouse-stock-details
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
Body
warehouseUidstringOptionalPattern: ^[A-Za-z0-9-_]+
warehouseUidsstring[]Optional
brandUidsstring[]Optional
productGroupUidsstring[]Optional
reportUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Report details

application/json
reportUidstringRequiredPattern: ^[A-Za-z0-9-_]+
requestany ofRequired

The request response depends on the what type of report it is

or
or
or
statestring · enumRequiredPossible values:
typestring · enumRequired

Available reports are:

ENUMDescription
SAFTSAFT reports
SalesPrStoreSales per store
StoreWarehouseDetailsMonthly warehouse details
WarehouseStockDetailsDetails list of all stock on the current warehouse
ART_FEEArt fee report
ART_PROVISIONArtists' provision report
OPEN_ITEMSList of outstanding receivables
SOLD_NOT_DELIVEREDProducts sold not delivered
Possible values:
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
sendNotificationTostringRequired
notificationSentAtstring · date-timeOptional
progressstringRequired
filenamestringRequired
filesizeintegerRequired
post/tenants/{tenantUid}/organizations/{organizationUid}/reports/warehouse-stock-details
POST /v2/tenants/{tenantUid}/organizations/{organizationUid}/reports/warehouse-stock-details HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 116

{
  "warehouseUid": "text",
  "warehouseUids": [
    "text"
  ],
  "brandUids": [
    "text"
  ],
  "productGroupUids": [
    "text"
  ],
  "reportUid": "text"
}
201

Report details

{
  "reportUid": "text",
  "request": {
    "fromDate": "2026-01-01",
    "toDate": "2026-01-01",
    "storeUids": [
      "text"
    ],
    "reportUid": "text"
  },
  "state": "ABORTED",
  "type": "SAFT",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "sendNotificationTo": "text",
  "notificationSentAt": "2026-01-01T00:00:00.000Z",
  "progress": "text",
  "filename": "text",
  "filesize": 1
}

Last updated

Was this helpful?